#
# spec file for package qflow
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:			qflow
Version:		1.1.1448205931.e4634a1
Release:		1.37
License:		GPL
Summary:		Detail netlist router for ASICs
Group:			Applications/Engineering
Url:			http://opencircuitdesign.com/qflow
Source:			%{name}-%{version}.tar.bz2
Patch:			fix_git_parsing.patch
BuildRequires:		qrouter
BuildRequires:		yosys yosys-devel
BuildRequires:		magic
BuildRequires:		graywolf
BuildRequires:		gcc, gcc-c++, glibc-devel

Requires:		tcl
Requires:		tcsh
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
A digital synthesis flow is a set of tools and methods used to turn a circuit design written in a high-level behavioral language like verilog or VHDL into a physical circuit,
which can either be configuration code for an FPGA target like a Xilinx or Altera chip, or a layout in a specific fabrication process technology,
that would become part of a fabricated circuit chip. Several digital synthesis flows targeting FPGAs are available, usually from the FPGA manufacturers,
and while they are typically not open source, they are generally distributed for free (presumably on the sensible assumption that more people will be buying more FPGA hardware). 

%prep
%setup -q
%patch -p1

%build
for i in `find -type f`; do sed -e 's/\/usr\/local/\/usr/g' -i $i; done
for i in `find -type f`; do sed -e 's/#!\/bin\/tclsh/#!\/usr\/bin\/tclsh/g' -i $i; done
%configure --bindir=/usr/bin --sbindir=/usr/sbin
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
rm %{buildroot}/%{_datadir}/qflow/bin/graywolf
rm %{buildroot}/%{_datadir}/qflow/bin/yosys
rm %{buildroot}/%{_datadir}/qflow/bin/magic
rm %{buildroot}/%{_datadir}/qflow/bin/qrouter
mv %{buildroot}/%{_datadir}/qflow/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}/%{_datadir}/qflow/bin

sed -e 's/\/usr\/share\/qflow\/bin/\/usr\/bin/g' -i %{buildroot}/%{_datadir}/qflow/scripts/checkdirs.sh

# Silence the totally braindead rpmlint. At least partially.
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README VERSION
%{_bindir}/*
%{_datadir}/*

%changelog
* Wed Dec 23 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch> - qflow
- qflow from GIT has bugfixes we need
* Tue Dec 8 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch> - qflow
- qflow port to openSUSE
